Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 2290)
+++ lemon/bits/graph_extender.h	(revision 2329)
@@ -284,6 +284,6 @@
 
     template <typename Graph, typename NodeRefMap, typename EdgeRefMap>
-    void clone(const Graph& graph, NodeRefMap& nodeRef, EdgeRefMap& edgeRef) {
-      Parent::clone(graph, nodeRef, edgeRef);
+    void build(const Graph& graph, NodeRefMap& nodeRef, EdgeRefMap& edgeRef) {
+      Parent::build(graph, nodeRef, edgeRef);
       getNotifier(Node()).build();
       getNotifier(Edge()).build();
@@ -695,7 +695,7 @@
 
     template <typename Graph, typename NodeRefMap, typename UEdgeRefMap>
-    void clone(const Graph& graph, NodeRefMap& nodeRef, 
+    void build(const Graph& graph, NodeRefMap& nodeRef, 
                UEdgeRefMap& uEdgeRef) {
-      Parent::clone(graph, nodeRef, uEdgeRef);
+      Parent::build(graph, nodeRef, uEdgeRef);
       getNotifier(Node()).build();
       getNotifier(UEdge()).build();
@@ -1319,7 +1319,7 @@
     template <typename Graph, typename ANodeRefMap, 
               typename BNodeRefMap, typename UEdgeRefMap>
-    void clone(const Graph& graph, ANodeRefMap& aNodeRef, 
+    void build(const Graph& graph, ANodeRefMap& aNodeRef, 
                BNodeRefMap& bNodeRef, UEdgeRefMap& uEdgeRef) {
-      Parent::clone(graph, aNodeRef, bNodeRef, uEdgeRef);
+      Parent::build(graph, aNodeRef, bNodeRef, uEdgeRef);
       getNotifier(ANode()).build();
       getNotifier(BNode()).build();
Index: lemon/bits/traits.h
===================================================================
--- lemon/bits/traits.h	(revision 2290)
+++ lemon/bits/traits.h	(revision 2329)
@@ -325,12 +325,12 @@
 
   template <typename Graph, typename Enable = void>
-  struct CloneableTagIndicator {
-    static const bool value = false;
-  };
-
-  template <typename Graph>
-  struct CloneableTagIndicator<
-    Graph, 
-    typename enable_if<typename Graph::CloneableTag, void>::type
+  struct BuildTagIndicator {
+    static const bool value = false;
+  };
+
+  template <typename Graph>
+  struct BuildTagIndicator<
+    Graph, 
+    typename enable_if<typename Graph::BuildTag, void>::type
   > {
     static const bool value = true;
Index: lemon/graph_utils.h
===================================================================
--- lemon/graph_utils.h	(revision 2290)
+++ lemon/graph_utils.h	(revision 2329)
@@ -684,10 +684,10 @@
     struct GraphCopySelector<
       Graph, 
-      typename enable_if<typename Graph::CloneableTag, void>::type> 
+      typename enable_if<typename Graph::BuildTag, void>::type> 
     {
       template <typename Source, typename NodeRefMap, typename EdgeRefMap>
       static void copy(Graph &target, const Source& source,
                        NodeRefMap& nodeRefMap, EdgeRefMap& edgeRefMap) {
-        target.clone(source, nodeRefMap, edgeRefMap);
+        target.build(source, nodeRefMap, edgeRefMap);
       }
     };
@@ -711,10 +711,10 @@
     struct UGraphCopySelector<
       UGraph, 
-      typename enable_if<typename UGraph::CloneableTag, void>::type> 
+      typename enable_if<typename UGraph::BuildTag, void>::type> 
     {
       template <typename Source, typename NodeRefMap, typename UEdgeRefMap>
       static void copy(UGraph &target, const Source& source,
                        NodeRefMap& nodeRefMap, UEdgeRefMap& uEdgeRefMap) {
-        target.clone(source, nodeRefMap, uEdgeRefMap);
+        target.build(source, nodeRefMap, uEdgeRefMap);
       }
     };
@@ -743,5 +743,5 @@
     struct BpUGraphCopySelector<
       BpUGraph, 
-      typename enable_if<typename BpUGraph::CloneableTag, void>::type> 
+      typename enable_if<typename BpUGraph::BuildTag, void>::type> 
     {
       template <typename Source, typename ANodeRefMap, 
@@ -750,5 +750,5 @@
                        ANodeRefMap& aNodeRefMap, BNodeRefMap& bNodeRefMap,
                        UEdgeRefMap& uEdgeRefMap) {
-        target.clone(source, aNodeRefMap, bNodeRefMap, uEdgeRefMap);
+        target.build(source, aNodeRefMap, bNodeRefMap, uEdgeRefMap);
       }
     };
Index: lemon/static_graph.h
===================================================================
--- lemon/static_graph.h	(revision 2293)
+++ lemon/static_graph.h	(revision 2329)
@@ -123,8 +123,8 @@
   public:
 
-    typedef True CloneableTag;
+    typedef True BuildTag;
     
     template <typename Graph, typename NodeRefMap, typename EdgeRefMap>
-    void clone(const Graph& graph, NodeRefMap& nodeRef, EdgeRefMap& edgeRef) {
+    void build(const Graph& graph, NodeRefMap& nodeRef, EdgeRefMap& edgeRef) {
 
       if (node_num != -1) {
